/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#ifndef GUI_WRITER_H
#define GUI_WRITER_H

#include "mapstorage.h"
#include <lemon/lemon_writer.h>

using lemon::LemonWriter;

class GuiWriter : public LemonWriter::SectionWriter
{
  private:
    MapStorage* mapstorage;
  protected:
    virtual std::string header();
    virtual void write(std::ostream&);
  public:
    typedef LemonWriter::SectionWriter Parent;
    GuiWriter(LemonWriter&, MapStorage*);
};

#endif
